ttcn3_logfilter(1)

NAME
ttcn3_logfilter - TTCN-3 log file filtering utility

SYNOPSIS
ttcn3_logfilter [ -o outfile ] { eventtype (+|-) } [ input.log ]
or
ttcn3_logfilter -v | -h | -l

DESCRIPTION
This manual page is a quick reference for the TTCN-3 logfilter utility of the TTCN-3 Test Executor. The ttcn3_logfilter utility, which can be found in $TTCN3_DIR/bin, filters the input log file given in the command line argument based on the event types in the file, and filter parameters given in the program argument. The output is then written to an output file if specified, or to the standard output. The program is useful only if the variable LogEventTypes is set to Yes in section [LOGGING] of the configuration file.

OPTIONS
Available command line switches are:

-h  Prints help on how to use the utility.

-l  Prints the list of supported event types.

-o outfile
    Puts its output into outfile. If the file outfile exists its contents will be overwritten. This switch is optional, when omitted the output will be printed to standard output.

-v  Prints version and license key information and exits.

ENVIRONMENT VARIABLES

TTCN3_DIR
    The installation directory where the uncompressed binary package of TTCN-3 Test Executor can be found.

TTCN3_LICENSE_FILE
    It shall point to the file (NB: not to its directory) that contains the personalized license key for the current user or host.

BUGS
None known at this time

SEE ALSO
ttcn3_logformat(1), ttcn3_logmerge(1)

The User Documentation for the TTCN-3 Test Executor.

AUTHOR
This manpage is written by Csaba Koppany, Ericsson Telecom AB
Copyright (c) 2000-2021 Ericsson Telecom AB
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html